package ecs.tp09;

import java.io.IOException;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.annotation.WebFilter;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
@WebFilter(
		urlPatterns = { "/*" }
		)

public class LoginFilter implements Filter {
	static String[] UNFILTERED_PATTERNS = { "/login.jsp",
											"/CheckServlet",
											"/LogoutServlet",
											"/GetTitleWSServlet"
			};
	@Override
	public void doFilter(ServletRequest req_, ServletResponse resp_, FilterChain chain)
			throws IOException, ServletException {
		
		HttpServletRequest req = (HttpServletRequest) req_;
		HttpServletResponse resp = (HttpServletResponse) resp_;
		
		System.out.println(req.getRequestURI());
		for (String suffix : UNFILTERED_PATTERNS) {
			if (req.getRequestURI().contains(suffix)) {
				chain.doFilter(req, resp);
				return;
				
			}
		}
		
		String status = (String) req.getSession().getAttribute("status");
		if ("connected".equals(status))
			chain.doFilter(req, resp);
		else
			resp.sendRedirect(req.getContextPath() + "/login.jsp");
	}

}
